Linux repositories inspector

libxml-security-c20 - C++ library for XML Digital Signatures (runtime)

Apache XML Security for C++ is a library for the XML
Digital Security specification. It provides processing and handling of XML Key Management Specifications (XKMS) messages.
This package contains the files necessary for running applications that use the Apache XML Security for C++ library.
2.0.2
Debian iconDebian 10.0
Debian iconDebian 9.0
OpenSUSE iconOpenSUSE Tumbleweed
Ubuntu iconUbuntu 19.04
2.0.1
Ubuntu iconUbuntu 18.10
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb2.0.2-312.01.2019278 kiB1.09 MiB
Debian iconDebian 9.0 stretch-backports/maindeb2.0.2-3~bpo9+109.04.2019251 kiB1010 kiB
OpenSUSE iconOpenSUSE Tumbleweed ossrpm2.0.2-1.203.02.2019287 kiB1.09 MiBhttps://bugs.opensuse.org
Ubuntu iconUbuntu 18.10 cosmic/universedeb2.0.1-114.01.2019250 kiB1010 kiB
Ubuntu iconUbuntu 19.04 disco/universedeb2.0.2-314.01.2019268 kiB1.05 MiB

Latest updates

Debian 9.0 icon

Debian 9.0 stretch-backports/main: Version 2.0.2-3~bpo9+1 introduced

09.04.2019 05:21
Etienne Dysli Metref
  • Rebuild for stretch-backports.
  • [98c4eff] Require Xerces-C 3.2
  • [830a69c] Remove dependency on Xalan when building for stretch. Building with Xalan was introduced for unstable. Keep building xml-security-c for stretch without it because Xalan in stretch depends on Xerces-C 3.1 and this conflicts with our use of 3.2. This reverts commits:
    • 494511e9 "We now use Xalan"
    • 10631007 "Enable XPath/XSLT support via Xalan"
    Ferenc Wágner
    • [7b83ecf] Revert "Enable building with OpenSSL 1.1"
      This reverts commit 5df89ad57e4695c0a35f61aeb5c3ae33ddf07712. XMLTooling links against libcurl3, which links against OpenSSL 1.0, so we must use OpenSSL 1.0 exclusively throughout the stack.
    • [18460e2] New patch: Provide BN_bn2binpad() missing in OpenSSL 1.0
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 2.0.2-1.1 to 2.0.2-1.2

03.02.2019 10:22
  • update to 2.0.2
    • [SANTUARIO-496] - DSA verification crashes OpenSSL on invalid combinations of key content
    • [SANTUARIO-491] - Default KeyInfo resolver doesn't check for empty element content.
    • [SANTUARIO-382] - Unconditionally enable large file support
    • [SANTUARIO-418] - Invalid acceptance of unpadded RSA signatures
    • [SANTUARIO-435] - Automake misses the subdir-objects option
    • [SANTUARIO-437] - Cannot compile as C++11
    • [SANTUARIO-447] - XSECCryptoX509::loadX509PEM() can read past unterminated buffer
    • [SANTUARIO-449] - TXFMOutputFile can try to close unopened stream
    • [SANTUARIO-470] - dsig/DSIGReference.cpp:931: bad type ?
    • [SANTUARIO-471] - Patch for C++11 compile failures
    • [SANTUARIO-473] - Build failure using NSS
    • [SANTUARIO-474] - Better overflow checking
    • [SANTUARIO-479] - xml-security-cpp compilation errors
    • [SANTUARIO-460] - Support for OpenSSL 1.1
    • [SANTUARIO-461] - Internal key store should be deleted on any CryptoAcquireContext() error
    • [SANTUARIO-472] - Conditional inclusion of XMKS code in library
    • [SANTUARIO-476] - Change default behavior for inferring attribute IDness by name
  • drop the following patches that are no longer needed
    • xml-security-c-1.7.3-gcc6.patch
    • xml-security-c-1.7.3_openssl1.1.patch
  • update soname from 17 to 20
  • pack xml-security-c.pc
  • require libxerces-c-devel >= 3.2
  • run spec-cleaner
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Version 2.0.2-1.1 introduced

17.01.2019 17:03
  • update to 2.0.2
    • [SANTUARIO-496] - DSA verification crashes OpenSSL on invalid combinations of key content
    • [SANTUARIO-491] - Default KeyInfo resolver doesn't check for empty element content.
    • [SANTUARIO-382] - Unconditionally enable large file support
    • [SANTUARIO-418] - Invalid acceptance of unpadded RSA signatures
    • [SANTUARIO-435] - Automake misses the subdir-objects option
    • [SANTUARIO-437] - Cannot compile as C++11
    • [SANTUARIO-447] - XSECCryptoX509::loadX509PEM() can read past unterminated buffer
    • [SANTUARIO-449] - TXFMOutputFile can try to close unopened stream
    • [SANTUARIO-470] - dsig/DSIGReference.cpp:931: bad type ?
    • [SANTUARIO-471] - Patch for C++11 compile failures
    • [SANTUARIO-473] - Build failure using NSS
    • [SANTUARIO-474] - Better overflow checking
    • [SANTUARIO-479] - xml-security-cpp compilation errors
    • [SANTUARIO-460] - Support for OpenSSL 1.1
    • [SANTUARIO-461] - Internal key store should be deleted on any CryptoAcquireContext() error
    • [SANTUARIO-472] - Conditional inclusion of XMKS code in library
    • [SANTUARIO-476] - Change default behavior for inferring attribute IDness by name
  • drop the following patches that are no longer needed
    • xml-security-c-1.7.3-gcc6.patch
    • xml-security-c-1.7.3_openssl1.1.patch
  • update soname from 17 to 20
  • pack xml-security-c.pc
  • require libxerces-c-devel >= 3.2
  • run spec-cleaner
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 2.0.2-3 introduced

14.01.2019 13:08
  • [494511e] We now use Xalan
  • [c03764e] New patch: DSA: pad r and s to 20 bytes
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 2.0.1-1 introduced

14.01.2019 03:12
  • [a5a2016] Follow repository branch renaming in gbp config
  • [fb2e12d] New upstream version: 2.0.1 (Closes: #905332)
  • [20cb886] Upgrade Standards-Version to 4.2.0 (no changes needed)
Debian 10.0 icon

Debian 10.0 buster/main: Version 2.0.2-3 introduced

12.01.2019 14:15
  • [494511e] We now use Xalan
  • [c03764e] New patch: DSA: pad r and s to 20 bytes

Related packages

libxml - Old XML library for Gnome-1 application compatibility
libxml-security-c20-debuginfo - Debug information for package libxml-security-c20
⇧ Top